mixed-port: 7890
socks-port: 7891
allow-lan: false

external-controller: 0.0.0.0:9090
external-ui: /root/.config/mihomo/ui
# secret: "changeme"

proxy-providers:
    main:
        type: http
        url: "https://491b5056.withblancvpn.online/s/c1b50e857b4e41a59ea80bcf6d1953d3"
        interval: 3600
        health-check:
            enable: true
            url: https://www.gstatic.com/generate_204
            interval: 300

proxy-groups:
    - name: Proxy
      type: fallback
      use: [main]
      url: https://www.gstatic.com/generate_204
      interval: 300

rules:
    - MATCH,Proxy
